Indicates the most widely used Internet applicaiton name. Such as FTP, Telnet, SMTP and DNS.
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.3955.3.7.1.2
Indicates the most widely used Internet applicaiton name. Such as FTP, Telnet, SMTP and DNS.
Identification
{1 3 6 1 4 1 3955 3 7 1 2}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In LINKSYS-MODEL-MIB, the row index uPnPforwardIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.3955.3.7.1.2.<uPnPforwardIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
Published row index: uPnPforwardIndex.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.3955.3.7.1.2
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
uPnPserviceName OBJECT-TYPE
SYNTAX DisplayString (SIZE(0..11))
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Indicates the most widely used Internet applicaiton
name. Such as FTP, Telnet, SMTP and DNS."
::= { uPnPforwardEntry 2 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Indicates the most widely used Internet applicaiton name. Such as FTP, Telnet, SMTP and DNS.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: uPnPserviceName
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"uPnPserviceName",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"(",
"SIZE",
"(",
"0",
".",
".",
"11",
")",
")",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Indicates the most widely used Internet applicaiton name. Such as FTP, Telnet, SMTP and DNS.\"",
"::=",
"{",
"uPnPforwardEntry",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"DisplayString",
[
"octetStringSubType",
[
[
0,
11
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Indicates the most widely used Internet applicaiton name. Such as FTP, Telnet, SMTP and DNS."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: LINKSYS-MODEL-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3955.3.7.1.1 | uPnPforwardIndex | 0 | 0 | |
| 1.3.6.1.4.1.3955.3.7.1.3 | uPnPExtPort | 0 | 0 | |
| 1.3.6.1.4.1.3955.3.7.1.4 | uPnPservicePortProto | 0 | 0 | |
| 1.3.6.1.4.1.3955.3.7.1.5 | uPnPIntPort | 0 | 0 | |
| 1.3.6.1.4.1.3955.3.7.1.6 | uPnPforwardIPAddress | 0 | 0 | |
| 1.3.6.1.4.1.3955.3.7.1.7 | uPnPforwardStatus | 0 | 0 |